Bug 168410 - x11/x3270 does not package - patch attached to possibly correct issue
Summary: x11/x3270 does not package - patch attached to possibly correct issue
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-28 15:50 UTC by larry bradford
Modified: 2012-06-12 14:10 UTC (History)
0 users

See Also:


Attachments
file.diff (659 bytes, patch)
2012-05-28 15:50 UTC, larry bradford
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description larry bradford 2012-05-28 15:50:01 UTC
Port has been marked broken for some time. While it will install, apparently features I do not use are not correctly installed. The special 3270 fonts included in the package are installed into the wrong location. The attached patch
provides the necessary font location override to place the included fonts with the
rest of the X11 fonts in "/usr/local/lib/X11/fonts/" vs "/usr/local/share/"

The true patch is to modify the CONFIGURE_ARGS variable to force the correct font
install location. The included patch also deletes the DEPRECIATED, EXPIRATION_DATE, and BROKEN variables.

With the patch installed, tinderbox produces what looks to me clean runs on amd64
7.4, 8.3, and 9.0 and i386 7.4 and 8.3. I'm still building an i386 9.0 environment
 but believe it will also pass. I'm new at working with tinderbox, so I understand
that I might not read the results the same as the maintainer/QA/CM does.

I also removed a no longer valid flag "--without-pr3287" that was generating a
warning during the configure run.

Fix: change the CONFIGURE_ARGS entry "--with-fontdir=local" to 
"--with-fontdir-${PREFIX}/lib/X11/fonts/local"

Patch attached with submission follows:
How-To-Repeat: n/a?
Comment 1 Michael Scheidell freebsd_committer 2012-05-29 12:13:30 UTC
State Changed
From-To: open->feedback

Manually set GNATS notify to ecrist@secure-computing.net since GNATS took the morning off. 
ecrist@secure-computing.net:  patch included in PR.
Comment 2 Michael Scheidell freebsd_committer 2012-05-29 12:16:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 3 Michael Scheidell freebsd_committer 2012-05-29 12:28:39 UTC
Packages now where it did not package before.
<http://lorie.secnap.net/tb/logs/7-scheidell_I386/x3270-3.3.10.log>

Waiting for maintainer to approve the changes to CONFIG_ARGS.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 dfilter service freebsd_committer 2012-06-12 14:08:24 UTC
scheidell    2012-06-12 13:08:10 UTC

  FreeBSD ports repository

  Modified files:
    x11/x3270            Makefile 
  Log:
  - Unbreak by fixing location of fontdir
  - Remove EXPIRATION/DEPRECATED/BROKEN
  - No PORTREVISION bump
  
  PR:             ports/168410
  Submitted by:   larry bradford <la_bradford@cox.net>
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.43      +1 -6      ports/x11/x3270/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell freebsd_committer 2012-06-12 14:08:36 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!